Developer Documentation

Public Types | Public Member Functions | Private Member Functions | Private Attributes | Friends | List of all members
SplatCloud::SplatPropertyT< T > Class Template Reference

`#include <Type-SplatCloud/ObjectTypes/SplatCloud/SplatCloud/SplatCloud.hh>`

Inheritance diagram for SplatCloud::SplatPropertyT< T >:

## Public Types
typedef T | Value
| Value type.
typedef std::vector< T >::reference | Reference
| These are references to T, not to SplatPropertyT<T>.
typedef std::vector< T >::const_reference | ConstReference
| These are used because a std::vector<bool>::reference is not the same as a reference to bool.

## Public Member Functions
| SplatPropertyT (const PropertyHandleT< T > &_handle, unsigned int _num)
| Constructor.
Reference | data (int _idx)
| Access the data as reference.
ConstReference | data (int _idx) const
| Access the data as const reference.
virtual size_t | sizeOf () const
| Get the size of type.
virtual const std::type_info & | typeId () const
| Get the runtime type information.

## Private Member Functions
virtual | ~SplatPropertyT ()
| Destructor.
virtual SplatPropertyT< T > * | clone () const
| Return a deep copy of this.
virtual void | clear ()
| Clear the data vector.
virtual void | pushback ()
| Add one element at the end of the data vector.
virtual void | resize (unsigned int _num)
| Resize the data vector.
virtual void | crop (const std::vector< int > &_indices)
| Keep only the elements with given indices in the data vector. The indices have to be valid, sorted and unique.
void | operator= (const SplatPropertyT< T > &)
| Disallow the assign operator. (private and not implemented)

## Private Attributes
std::vector< T > | data_
| The actual stored data (one element per splat)

## Friends
class | SplatCloud
| Let class SplatCloud access methods like clone().

## Detailed Description

### template<typename T>
class SplatCloud::SplatPropertyT< T >

Type specific class for splat-properties

Definition at line 293 of file SplatCloud.hh.

The documentation for this class was generated from the following files:

- Type-SplatCloud/ObjectTypes/SplatCloud/SplatCloud/SplatCloud.hh
- Type-SplatCloud/ObjectTypes/SplatCloud/SplatCloud/SplatCloudT_impl.hh